Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.facets
Class XAdESNamespacePrefixMapper

    java.lang.Object
      com.sun.xml.bind.marshaller.NamespacePrefixMapper
          be.fedict.eid.applet.service.signer.facets.XAdESNamespacePrefixMapper

    public class XAdESNamespacePrefixMapper

extends com.sun.xml.bind.marshaller.NamespacePrefixMapper

JAXB RI namespace prefix mapper for XAdES.

Author:
  Frank Cornelis

Constructor Summary
`XAdESNamespacePrefixMapper()`
`XAdESNamespacePrefixMapper(String xadesNamespacePrefix)`

Method Summary
`String` | `getPreferredPrefix(String namespaceUri, String suggestion, boolean requirePrefix)`
`void` | `setXAdESNamespacePrefix(String xadesNamespacePrefix)`

Methods inherited from class com.sun.xml.bind.marshaller.NamespacePrefixMapper
`getContextualNamespaceDecls, getPreDeclaredNamespaceUris, getPreDeclaredNamespaceUris2`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XAdESNamespacePrefixMapper

    public XAdESNamespacePrefixMapper()

### XAdESNamespacePrefixMapper

    public XAdESNamespacePrefixMapper(String xadesNamespacePrefix)

Method Detail

### setXAdESNamespacePrefix

    public void setXAdESNamespacePrefix(String xadesNamespacePrefix)

### getPreferredPrefix

    public String getPreferredPrefix(String namespaceUri,
                                     String suggestion,
                                     boolean requirePrefix)

  Specified by:
    `getPreferredPrefix` in class `com.sun.xml.bind.marshaller.NamespacePrefixMapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.